/* --- Variables --- */

:root {
  --bs-body-bg: #3f403f;
  --bs-body-color: #e6e8e6;
  --bs-tertiary-bg: #e6e8e6;
  --bs-tertiary-bg-rgb: 230, 232, 230;
  --bs-primary-rgb: 159, 184, 173;
  --bs-emphasis-color-rgb: 230, 232, 230;
  --bs-link-color: #9fb8ad;
  --bs-link-color-rgb: 159, 184, 173;
  --bs-link-hover-color: #7a8d85;
  --bs-link-hover-color-rgb: 122, 141, 133;
  --bs-border-color-translucent: rgba(230, 232, 230, 0.175);
}

.list-group {
  --bs-list-group-bg: #ced0ce;
  --bs-list-group-action-color: #3f403f;
  --bs-list-group-border-color: #3f403f;
}

.btn {
  --bs-btn-color: #3f403f;
  --bs-btn-bg: #ced0ce;
  --bs-btn-hover-bg: #e6e8e6;
  --bs-btn-hover-color: #000;
}

.btn-close {
  --bs-btn-close-color: #ced0ce;
}

.btn-primary {
  --bs-btn-color: #e6e8e6;
  --bs-btn-border-color: #475841;
  --bs-btn-bg: #475841;
  --bs-btn-hover-border-color: #ced0ce;
}

.pagination {
  --bs-pagination-active-border-color: #dee2e68c;
  --bs-pagination-active-bg: #475841;
  --bs-pagination-color: #e6e8e6;
}

.text-bg-primary {
  color: #475841 !important;
}

.card {
  --bs-card-border-width: 2px;
  --bs-card-bg: #ced0ce;
  --bs-card-title-color: #3f403f;
  --bs-link-color: #475841;
  --bs-link-color-rgb: 71, 88, 65;
  --bs-link-hover-color: #3f403f;
  --bs-link-hover-color-rgb: 63, 64, 63;
}

.dropdown-menu {
  --bs-dropdown-link-active-bg: #475841;
  --bs-dropdown-bg: #e6e8e6;
  --bs-dropdown-link-color: #3f403f;
  --bs-dropdown-link-hover-color: #475841;
}

/* --- Général --- */

.h1 {
  font-family: "baramondroman", system-ui, -apple-system, "Segoe UI", Roboto,
    "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

/* --- Header --- */

@media screen and (min-width: 992px) and (max-width: 1294px) {
  #mainNav .container {
    margin-right: 0;
    margin-left: 0;
  }

  .monde-title {
    letter-spacing: 0px;
    font-size: 1.2rem;
    margin-bottom: 0;
  }

  .monde-icon {
    width: 29px;
  }
}

@media screen and (min-width: 1295px) {
  #mainNav .container {
    margin-right: auto;
    margin-left: auto;
  }

  .monde-icon {
    width: 50px;
  }

  .monde-title {
    letter-spacing: 4px;
    font-size: 2rem;
  }
}

/* --- Index --- */

.sub-list-group {
  border-radius: var(--bs-border-radius) !important;
}

/* --- Bouton --- */

.btn.btn-danger {
  background-color: var(--bs-danger);
  color: var(--bs-body-color);
}

/* --- Menu --- */

#mainNav .navbar-toggler {
  font-size: 0.75rem;
  font-weight: 800;
  padding: 0.75rem;
  text-transform: uppercase;
  background-color: #9fb8ad;
  color: #3f403f;

  border-color: transparent;
  border-radius: 0.375rem 0.375rem 0 0;
}

#mainNav .navbar-toggler.collapsed {
  border-radius: 0.375rem;
  border-color: var(--bs-navbar-toggler-border-color);
}

#mainNav svg {
  font-size: 0.75rem;
  font-weight: 800;
  text-transform: uppercase;
  height: 1em;
  vertical-align: -0.125em;
}

@media screen and (max-width: 991px) {
  .navbar-collapse {
    background: #9fb8ad;
    padding: 8px 16px;
    border-radius: 0.375rem 0 0.375rem 0.375rem;
  }

  .nav-link {
    color: #3f403f;
  }
}

/* --- Picture Zoom --- */

.magnifier-lens {
  position: absolute;
  border: 1px solid #000;
  border-radius: 50%;
  cursor: crosshair;
  box-shadow: 0 0 5px #000;
  pointer-events: none;
  visibility: hidden;
  background-repeat: no-repeat;
}

/* --- Modale --- */

.modal {
  /*   --bs-modal-width: 1500px; */
  background-color: rgba(0, 0, 0, 0.8);
}

/* --- Single CPT --- */

.cpt-single h2 {
  font-size: 1.3rem;
}

@media screen and (min-width: 992px) {
  .control-panel {
    width: 25%;
  }
}

/* --- Single Ukiyoe --- */

.ukiyoe_img,
.affiche_img,
.tableau_img,
.gravure_img {
  max-height: 500px;
  border: solid 4px;
}
